Subject: bug#4197: 23.1; error when try to run `server-start': directory .emacs.d/server is unsafe

From: Stefan Monnier <[email-masked]>
Date: Sat, 22 Aug 2009 21:57:47 -0400

> Didn't someone write an implementation of emacsclient on w32 using
> Named Pipes? Would not that also be preferrable to avoid problems with
> firewalls on the local computer?

The generic code works well, so we shouldn't expend efforts on
supporting another protocol.  If we can support Unix sockets under w32,
that would be an acceptable alternative.  But in any case, the check
made by emacsserver is meaningless in an unsecure system such as
w32-on-fat32, so we should just skip it in such a circumstance.

        Stefan